package model

import (
	"ArmedPolice/app/common/model"
)

type SysTenant struct {
	*model.SysTenant
}

type (
	// SysTenantBasic 租户基本信息
	SysTenantBasic struct {
	}
	// SysTenantInfo 租户信息
	SysTenantInfo struct {
		*model.SysTenant
		DeviceCount         int `json:"device_count"`
		CustomerDeviceCount int `json:"customer_device_count"`
	}
)

func NewSysTenant() *SysTenant {
	return &SysTenant{SysTenant: model.NewSysTenant()}
}
